=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-12-19 20:31:01 +0000
+++ bzrlib/branch.py	2006-01-03 19:54:12 +0000
@@ -807,7 +807,6 @@
             ('pending-merges', ''),
             ('inventory', empty_inv),
             ('inventory.weave', empty_weave),
-            ('ancestry.weave', empty_weave)
         ]
         self._transport.mkdir_multi([cfn(d) for d in dirs], mode=self._dir_mode)
         self.put_controlfiles(files)

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2005-12-01 19:57:43 +0000
+++ bzrlib/tests/test_branch.py	2006-01-03 19:54:12 +0000
@@ -221,6 +221,12 @@
         self.assertEqual(committed.properties["branch-nick"], 
                          "My happy branch")
 
+    def test_no_ancestry_weave(self):
+        # We no longer need to create the ancestry.weave file
+        # since it is *never* used.
+        branch = Branch.initialize(u'.')
+        self.failIfExists('.bzr/ancestry.weave')
+
 
 class TestRemote(TestCaseWithWebserver):
 

